SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001506: openvpn bridged mode should give possibility to select the zone to which it should bridge - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001506Endian FirewallNetwork related (VPN, uplinks)public2008-12-10 14:212009-10-27 11:59
Reporterpeter-endian 
Assigned Topeter-endian 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.3Fixed in Version2.3 
Summary0001506: openvpn bridged mode should give possibility to select the zone to which it should bridge
Descriptionopenvpn client cgi should give possibility to select which bridge the tap device
should join.
Firewall scripts need to be aware of bridged openvpn connections and allow to select them in order to have the possibility to filter also by the tap device.
TagsNo tags attached.
Attached Files

- Relationships
parent of 0001505closedpeter-endian openvpn bridged mode not working anymore 
related to 0001981closedchristian-endian openvpn client should display only necessary configuration fields 

-  Notes
(0001860)
peter-endian (administrator)
2008-12-10 15:06

prepared in openvpnbridge.py and in firewall scripts.

lacks GUI integration in openvpnclient.cgi, which should simply show a select box with the known zones, when the user selects bridged mode. if the user selects routed mode the select box should disappear.

the selection need to be written to the key 'BRIDGE'

- Issue History
Date Modified Username Field Change
2008-12-10 14:21 peter-endian New Issue
2008-12-10 14:21 peter-endian Assigned To => peter-endian
2008-12-10 14:21 peter-endian Issue generated from: 0001505
2008-12-10 14:21 peter-endian Relationship added parent of 0001505
2008-12-10 15:06 peter-endian Note Added: 0001860
2009-06-09 19:31 peter-endian Target Version future => 2.3
2009-07-01 13:27 peter-endian Status new => resolved
2009-07-01 13:27 peter-endian Fixed in Version => 2.3
2009-07-01 13:27 peter-endian Resolution open => fixed
2009-07-01 13:30 peter-endian Issue cloned: 0001981
2009-07-01 13:30 peter-endian Relationship added related to 0001981
2009-10-27 11:59 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker